//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CourierDeliveryNetwork.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class OrderParcelDetail
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public OrderParcelDetail()
        {
            this.OrderFinals = new HashSet<OrderFinal>();
            this.OrderPersonalDetails = new HashSet<OrderPersonalDetail>();
        }
    
        public long OrderID { get; set; }
        public Nullable<int> DeliveryType { get; set; }
        public Nullable<int> DocumentType { get; set; }
        public Nullable<int> Height { get; set; }
        public Nullable<int> Width { get; set; }
        public Nullable<int> Length { get; set; }
        public Nullable<int> Weight { get; set; }
        public Nullable<int> ItemValue { get; set; }
        public string AddressFrom { get; set; }
        public Nullable<int> CountryFrom { get; set; }
        public Nullable<int> StateFrom { get; set; }
        public string PostalCodeFrom { get; set; }
        public string AddressTo { get; set; }
        public Nullable<int> CountryTo { get; set; }
        public Nullable<int> StateTo { get; set; }
        public string PostalCodeTo { get; set; }
        public string Description { get; set; }
    
        public virtual CountryMaster CountryMaster { get; set; }
        public virtual CountryMaster CountryMaster1 { get; set; }
        public virtual DeliveryTypeMaster DeliveryTypeMaster { get; set; }
        public virtual DocumentTypeMaster DocumentTypeMaster { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OrderFinal> OrderFinals { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<OrderPersonalDetail> OrderPersonalDetails { get; set; }
        public virtual StateMaster StateMaster { get; set; }
        public virtual StateMaster StateMaster1 { get; set; }
    }
}
